CoCoALib - Bug #746

Problem with GBasis in tower of alg extns
09 Jul 2015 13:13 - John Abbott

Status: New Start date: 09 Jul 2015
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Various Estimated time: 0.00 hour
Target version: CoCoALib-1.0 Spent time: 0.25 hour

Description

| tried computing a GBasis in a ring with structure like QQ(alpha)(beta)[x] where alpha and beta are algebraic. | got an NYI error
from the factorizer!

History

#1 - 09 Jul 2015 13:14 - John Abbott

Here is a transcript of what happened...

>>> A ::= QQ[x];

>>> QQx:=A;

>>> use QQx;

>>> I := ideal (x"2-2);

>>> QQ0sqrt2 := NewQuotientRing (QQx,I);
>>> QQ2y::=0Q0sqrt2[y];

>>> use QQ2y;

>>> J

ideal (y"2-17);

>>> K :

Q02y/J;
>>> use K([z];
>>> f 1= (z72+x+y"3) * (z"3+x*z+y*z72-(x*y) "3);

>>> f;
z™5 +(y)*z™4 +((17)*y +(2*x))*z"3 +((=33*x)*y +(289))*z72 +((17*x)*y +(2))*z +((-68)*y +(-9826*x))

>>> J := ideal (f* (z"2-x-y), £*(z"7-(x+y)"7));

R R R R R R R R R R R I R R R R R R R R R R R R I R R R R R R R R R R R I I R R R R I I

****CoCoA ERROR**** ErrCode: CoCoA::ERR::NYI

****CoCoA ERROR**** Message: NOT YET IMPLEMENTED -- please be patient, we're working on it
****CoCoA ERROR**** Context: Factorization not in QQ[x,y,...] or in ZZ/(p) [x,V,...]
****CoCoA ERROR**** File: factor.C

****CoCoA ERROR**** TLine: 334

R R R R R R R R R R R R R R R R R R R R R R R R R R R R R R R R I R R R Ik I

——> ERROR: NOT YET IMPLEMENTED -- please be patient, we're working on it
-=> J := ideal (f*(z"2-x-y), £*(z"7-(x+y)"7));

> AAAAAAAAAAAAANAAAAAANAAANAAAAANAANAAAANANA
#2 - 21 Mar 2016 14:29 - John Abbott
- Target version changed from CoCoALib-0.99540 Feb 2016 to CoCoALib-1.0
